Subject: bug#14967: 24.3.50; package-delete deletes by trashing?

From: Glenn Morris <[email-masked]>
Date: Mon, 12 Jun 2017 16:32:22 -0400

Alex wrote:

> Is that a good idea for new behaviour that results in potential data
> loss (from the view of a user that expects `package-delete' to trash
> files rather than outright deleting them)? It might be easy to gloss
> over an entry in NEWS, after all.

IMO there's no real potential for data loss, since you can just
reinstall the package from its source. (I assume this is what people do
in practice, rather than un-trashing.) Although "source is no longer
available" is in theory possible, in practice I don't think it's a real
concern.